## javax.persistence.spi
Interface PersistenceProvider

    public interface PersistenceProvider

Method Summary
`EntityManagerFactory` `createContainerEntityManagerFactory(PersistenceUnitInfo info, java.util.Map map)`
`EntityManagerFactory` `createEntityManagerFactory(java.lang.String emName, java.util.Map map)`
`ProviderUtil` `getProviderUtil()`

Method Detail

### createEntityManagerFactory

    EntityManagerFactory createEntityManagerFactory(java.lang.String emName,
                                                    java.util.Map map)

### createContainerEntityManagerFactory

    EntityManagerFactory createContainerEntityManagerFactory(PersistenceUnitInfo info,
                                                             java.util.Map map)

### getProviderUtil

    ProviderUtil getProviderUtil()